import { createAction, props } from '@ngrx/store';

import { Dashboard } from 'src/modules/dashboard/model/Dashboard';

export const loadDashboardsSuccess = createAction(
  '[Collection/API] Load Dashboards Success',
  props<{ books: Dashboard[] }>()
);

export const loadDashboardsFailure = createAction(
  '[Collection/API] Load Books Failure',
  props<{ error: any }>()
);

export enum ActionType {
  Load = '[pages.settings.dashboard] Load'
}
